package Sophos::Reports::MsgTypes;
use strict;
use warnings;

use Exporter;
use base qw(Exporter);

our @EXPORT_OK = qw(msg_clrs msg_names);

my %clrs = (
    # Types:
    rejected => '#b778c9',
    allowed  => '#a3c978',
    tempfail => '#f1ef25',
    blocked     => '#f7a724',
    virus	=> '#dd442d',
    spam   	=> '#3a5081',
    delivered   => '#408080',
    other       => '#a3c978',
);

my %names = (
    # Types:
    rejected    => 'Rejected',
    allowed     => 'Allowed',
    tempfail    => 'Tempfail',
    blocked     => 'Blocked',
    spam        => 'Spam', 
    virus       => 'Virus',
    delivered   => 'Delivered',
    other       => 'Other',
    total       => 'Total'
);

return 1;

sub msg_clrs {
    return [ map { $clrs{$_} || die "no colour for $_" } @_ ];
}

sub msg_names {
    return [ map { $names{$_} || die "no name for $_" } @_ ];
}
