package Sophos::Reports::Report::TopSpamRecipients;
use strict;
use warnings;
use base 'Sophos::Reports::Report::PMX';

use PureMessage::Version qw($PREFIX);

sub new {
    my ($class, %opts) = @_;
    my $self = $class->SUPER::new(%opts);

    $self->{type} ||= 'table';
    $self->{views} = {
       table => 1,
    };

    return $self;
}

sub data {
    my ($self, %opts) = @_;

    my $type = $opts{type} || $self->{type};

    my ($pa,$pb) = $self->time_period;

    my $dbh = $self->dbh;

    my $group_sql = $self->_group_sql();

    my $sql = <<__SQL__;
SELECT recipient, SUM(tally) AS tally
FROM   prd_spam_by_recipient
WHERE  period_start >= $pa
  AND period_start < $pb
      $group_sql
GROUP BY recipient
ORDER BY tally DESC, recipient
LIMIT 20
__SQL__

    return $sql if $opts{get_sql};

    my $data = $dbh->selectall_arrayref($sql);
    return scalar(@$data) ? $data : undef;
}

1;
